Deployments
Build and publish a project.
Was this section helpful?
Trigger a deployment
POST /projects/{projectId}/deployments
deployment.failed
A deployment failed to build.
deployment.succeeded
A deployment finished building and is live.
The Deployment object
Returned by the deployments endpoints.
Attributes
idstring
—
projectIdstring
—
statusenum
—
queuedbuildingreadyerrorurlstring
—
createdAtstring
—
The Deployment object
{ "id": "dpl_5Kf2mB", "projectId": "prj_8Qa1zX", "status": "queued", "url": "https://acme-docs.markline.app", "createdAt": "2026-06-03T09:30:00Z" }
Trigger a deployment
POST https://api.markline.dev/projects/{projectId}/deployments
Build the project and publish it. Returns immediately with a queued deployment.
Path parameters
projectIdstringrequired
The project to deploy.
Parameters
refstringoptional
Git ref to build.
productionbooleanoptional
Promote to the production domain.
curl https://api.markline.dev/projects/prj_8Qa1zX/deployments \ -H "Authorization: Bearer sk_live_••••" \ -d ref=main \ -d production=false
const deployment = await markline.deployments.create({ ref: 'main', production: 'false', })
deployment = markline.deployments.create( ref="main", production="false", )
deployment, err := client.Deployments.Create(ctx, &markline.DeploymentParams{ Ref: markline.String("main"), Production: markline.String("false"), })
Response 201 The queued deployment.
{ "id": "dpl_5Kf2mB", "projectId": "prj_8Qa1zX", "status": "queued", "url": "https://acme-docs.markline.app", "createdAt": "2026-06-03T09:30:00Z" }
A deployment failed to build.
Emitted byPOST Trigger a deployment
Payload
idstring
—
projectIdstring
—
statusenum
—
queuedbuildingreadyerrorurlstring
—
createdAtstring
—
Example payload
{ "id": "dpl_5Kf2mB", "projectId": "prj_8Qa1zX", "status": "queued", "url": "https://acme-docs.markline.app", "createdAt": "2026-06-03T09:30:00Z" }
A deployment finished building and is live.
Emitted byPOST Trigger a deployment
Payload
idstring
—
projectIdstring
—
statusenum
—
queuedbuildingreadyerrorurlstring
—
createdAtstring
—
Example payload
{ "id": "dpl_5Kf2mB", "projectId": "prj_8Qa1zX", "status": "queued", "url": "https://acme-docs.markline.app", "createdAt": "2026-06-03T09:30:00Z" }